#!/bin/sh
echo 'name: monad-par
version: 0.3.4.1
id: monad-par-0.3.4.1-8308fab85138f6e1aeb17c03e84b8325

license: BSD3
copyright: (c) Simon Marlow 2011
maintainer: Simon Marlow <marlowsd@gmail.com>, Ryan Newton <rrnewton@gmail.com>
stability: Experimental
homepage: https://github.com/simonmar/monad-par
package-url:
synopsis: A library for parallel programming based on a monad
description: The '\''Par'\'' monad offers a simple API for parallel programming.  The
             library works for parallelising both pure and @IO@ computations,
             although only the pure version is deterministic.
             .
             For complete documentation see "Control.Monad.Par".
             .
             Some examples of use can be found in the @examples/@ directory of
             the source package.
             .
             Other related packages:
             .
             * @abstract-par@ provides the type classes that abstract over different
             implementations of the @Par@ monad.
             .
             * @monad-par-extras@ provides some extra combinators layered on top of
             the @Par@ monad.
             .
             Changes in 0.3.4 relative to 0.3:
             .
             * Fix bugs that cause "thread blocked indefinitely on MVar" crashes.
             .
             * Added "Control.Monad.Par.IO"
category: Control,Parallelism,Monads
author: Simon Marlow, Ryan Newton
exposed: True
exposed-modules: Control.Monad.Par Control.Monad.Par.IO
                 Control.Monad.Par.Scheds.Trace
                 Control.Monad.Par.Scheds.TraceInternal
                 Control.Monad.Par.Scheds.Direct Control.Monad.Par.Scheds.Sparks
hidden-modules: Control.Monad.Par.Scheds.DirectInternal
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/monad-par-0.3.4.1
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/monad-par-0.3.4.1
              /usr/local/lib
hs-libraries: HSmonad-par-0.3.4.1
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: abstract-deque-0.1.6-44fc5e0b7d2be94adc890f7952490190
         abstract-par-0.3.1-1434948e47afdbd6fee3113f1738784f
         array-0.4.0.0-4f6c2a594155b0b953c1cf0f54040f61
         base-4.5.1.0-12fddc14a7babb909dd3843e453b5660
         containers-0.4.2.1-efa59805336a77490296ae3897cecb87
         deepseq-1.3.0.0-c8a9e8b538aecb7581533b9c1d19faed
         monad-par-extras-0.3.2-8da9dbe5e4380b5ce7ffbb6353710789
         mtl-2.1.2-cf6082d8d4c6758d23401302efadd028
         mwc-random-0.12.0.1-9a26e9ff0db17dfb9559e9037e7d7b67
         parallel-3.2.0.3-0c734151f27a50a329a35e705f0ba330
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/monad-par-0.3.4.1/html/monad-par.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/monad-par-0.3.4.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
